use std::ffi::c_int;

unsafe extern "C" {
    pub fn pango_xft_get_font_map(
        display: *mut x11::xlib::Display,
        screen: c_int,
    ) -> *mut pango_sys::PangoFontMap;

    pub fn pango_fc_font_description_from_pattern(
        pattern: *mut x11::xft::FcPattern,
        include_size: c_int,
    ) -> *mut pango_sys::PangoFontDescription;

    pub fn pango_xft_render_layout(
        draw: *mut x11::xft::XftDraw,
        color: *mut x11::xft::XftColor,
        layout: *mut pango_sys::PangoLayout,
        x: c_int,
        y: c_int,
    );
}
